Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4509)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4510)
@@ -3760,10 +3689,9 @@
 !--             RANS mode: Compute tendency for dissipation-rate-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
-                                 MERGE( rho_reference, prho(k,j,i),       &
-                                        use_single_reference_value ) ) *  &
-                                 diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) *  &
-                                 c_3
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                          &
+                                 MERGE( rho_reference, prho(k,j,i),                                &
+                                 use_single_reference_value ) ) *                                  &
+                                 diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) * c_3
                 ENDDO
 
@@ -3819,8 +3747,7 @@
 !--             Compute tendency for TKE-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
-                                 MERGE( pt_reference, pt(k,j,i),          &
-                                        use_single_reference_value ) )
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                          &
+                                 MERGE( pt_reference, pt(k,j,i), use_single_reference_value ) )
                 ENDDO
 
@@ -3829,27 +3756,24 @@
 !--             RANS mode: Compute tendency for dissipation-rate-production from shear
                 DO  k = nzb+1, nzt
-                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
-                                 MERGE( pt_reference, pt(k,j,i),          &
-                                        use_single_reference_value ) ) *  &
-                                 diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) *  &
-                                 c_3
+                   flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
+                   tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                          &
+                                 MERGE( pt_reference, pt(k,j,i),                                   &
+                                        use_single_reference_value ) ) *                           &
+                                 diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) * c_3
                 ENDDO
 
              ENDIF
 
-          ENDIF ! from IF ( .NOT. ocean_mode )
-
-       ELSE ! or IF ( humidity )  THEN
+          ENDIF ! From IF ( .NOT. ocean_mode )
+
+       ELSE ! Or IF ( humidity )  THEN
 
           DO  k = nzb+1, nzt
 
-             IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+             IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                 k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                 k2 = 0.61_wp * pt(k,j,i)
-                tmp_flux(k) = -1.0_wp * kh(k,j,i) *                      &
-                                ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
-                                  k2 * ( q(k+1,j,i)  - q(k-1,j,i) )      &
-                                ) * dd2zu(k)
+                tmp_flux(k) = -1.0_wp * kh(k,j,i) * ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +         &
+                                                      k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) ) * dd2zu(k)
              ELSE IF ( bulk_cloud_model )  THEN
                 IF ( ql(k,j,i) == 0.0_wp )  THEN
@@ -3859,23 +3783,19 @@
                    theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                    temp  = theta * exner(k)
-                   k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *                  &
-                                 ( q(k,j,i) - ql(k,j,i) ) *              &
-                        ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /        &
-                        ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *         &
+                   k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *                 &
+                        ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                                  &
+                        ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                                   &
                         ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                    k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
                 ENDIF
-                tmp_flux(k) = -1.0_wp * kh(k,j,i) *                      &
-                                ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
-                                  k2 * ( q(k+1,j,i)  - q(k-1,j,i) )      &
-                                ) * dd2zu(k)
+                tmp_flux(k) = -1.0_wp * kh(k,j,i) * ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +         &
+                                                      k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) ) * dd2zu(k)
              ELSE IF ( cloud_droplets )  THEN
                 k1 = 1.0_wp + 0.61_wp * q(k,j,i) - ql(k,j,i)
                 k2 = 0.61_wp * pt(k,j,i)
-                tmp_flux(k) = -1.0_wp * kh(k,j,i) * &
-                                ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +   &
-                                  k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) -    &
-                                  pt(k,j,i) * ( ql(k+1,j,i) -            &
-                                  ql(k-1,j,i) ) ) * dd2zu(k)
+                tmp_flux(k) = -1.0_wp * kh(k,j,i) * ( k1 * ( pt(k+1,j,i) - pt(k-1,j,i) ) +         &
+                                                      k2 * ( q(k+1,j,i)  - q(k-1,j,i) ) -          &
+                                                      pt(k,j,i) * ( ql(k+1,j,i) -                  &
+                                                      ql(k-1,j,i) ) ) * dd2zu(k)
              ENDIF
 
@@ -3891,5 +3811,5 @@
                    k = surf_def_h(l)%k(m)
 
-                   IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                   IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                       k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                       k2 = 0.61_wp * pt(k,j,i)
@@ -3901,9 +3821,8 @@
                          theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                          temp  = theta * exner(k)
-                         k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *            &
-                                    ( q(k,j,i) - ql(k,j,i) ) *           &
-                           ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /     &
-                           ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *      &
-                           ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
+                         k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *           &
+                              ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                            &
+                              ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                             &
+                              ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                          k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
                       ENDIF
@@ -3913,7 +3832,6 @@
                    ENDIF
 
-                   tmp_flux(k) = ( k1 * surf_def_h(l)%shf(m) +           &
-                                   k2 * surf_def_h(l)%qsws(m)            &
-                                 ) * drho_air_zw(k-1)
+                   tmp_flux(k) = ( k1 * surf_def_h(l)%shf(m) + k2 * surf_def_h(l)%qsws(m) ) *      &
+                                 drho_air_zw(k-1)
                 ENDDO
              ENDDO
@@ -3925,5 +3843,5 @@
                 k = surf_lsm_h%k(m)
 
-                IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                    k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                    k2 = 0.61_wp * pt(k,j,i)
@@ -3935,8 +3853,7 @@
                       theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                       temp  = theta * exner(k)
-                      k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *               &
-                                    ( q(k,j,i) - ql(k,j,i) ) *           &
-                           ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /     &
-                           ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *      &
+                      k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *              &
+                           ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                               &
+                           ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                                &
                            ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                       k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
@@ -3947,7 +3864,6 @@
                 ENDIF
 
-                tmp_flux(k) = ( k1 * surf_lsm_h%shf(m) +                 &
-                                k2 * surf_lsm_h%qsws(m)                  &
-                              ) * drho_air_zw(k-1)
+                tmp_flux(k) = ( k1 * surf_lsm_h%shf(m) + k2 * surf_lsm_h%qsws(m) ) *               &
+                              drho_air_zw(k-1)
              ENDDO
 !
@@ -3958,5 +3874,5 @@
                 k = surf_usm_h%k(m)
 
-                IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                    k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                    k2 = 0.61_wp * pt(k,j,i)
@@ -3968,8 +3884,7 @@
                       theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                       temp  = theta * exner(k)
-                      k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *               &
-                                    ( q(k,j,i) - ql(k,j,i) ) *           &
-                           ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /     &
-                           ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *      &
+                      k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *              &
+                           ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                               &
+                           ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                                &
                            ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                       k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
@@ -3980,10 +3895,9 @@
                 ENDIF
 
-                tmp_flux(k) = ( k1 * surf_usm_h%shf(m) +                 &
-                                k2 * surf_usm_h%qsws(m)                  &
-                              ) * drho_air_zw(k-1)
-             ENDDO
-
-          ENDIF ! from IF ( use_surface_fluxes )  THEN
+                tmp_flux(k) = ( k1 * surf_usm_h%shf(m) + k2 * surf_usm_h%qsws(m) ) *               &
+                              drho_air_zw(k-1)
+             ENDDO
+
+          ENDIF ! From IF ( use_surface_fluxes )  THEN
 
           IF ( use_top_fluxes )  THEN
@@ -3994,5 +3908,5 @@
                 k = surf_def_h(2)%k(m)
 
-                IF ( .NOT. bulk_cloud_model .AND. .NOT. cloud_droplets ) THEN
+                IF ( .NOT. bulk_cloud_model  .AND.  .NOT. cloud_droplets )  THEN
                    k1 = 1.0_wp + 0.61_wp * q(k,j,i)
                    k2 = 0.61_wp * pt(k,j,i)
@@ -4004,8 +3918,7 @@
                       theta = pt(k,j,i) + d_exner(k) * lv_d_cp * ql(k,j,i)
                       temp  = theta * exner(k)
-                      k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp *               &
-                                 ( q(k,j,i) - ql(k,j,i) ) *              &
-                        ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /        &
-                        ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *         &
+                      k1 = ( 1.0_wp - q(k,j,i) + 1.61_wp * ( q(k,j,i) - ql(k,j,i) ) *              &
+                        ( 1.0_wp + rd_d_rv * lv_d_rd / temp ) ) /                                  &
+                        ( 1.0_wp + rd_d_rv * lv_d_rd * lv_d_cp *                                   &
                         ( q(k,j,i) - ql(k,j,i) ) / ( temp * temp ) )
                       k2 = theta * ( lv_d_cp / temp * k1 - 1.0_wp )
@@ -4016,11 +3929,10 @@
                 ENDIF
 
-                tmp_flux(k) = ( k1 * surf_def_h(2)%shf(m) +              &
-                                k2 * surf_def_h(2)%qsws(m)               &
-                              ) * drho_air_zw(k)
-
-             ENDDO
-
-          ENDIF ! from IF ( use_top_fluxes )  THEN
+                tmp_flux(k) = ( k1 * surf_def_h(2)%shf(m) + k2 * surf_def_h(2)%qsws(m) ) *         &
+                              drho_air_zw(k)
+
+             ENDDO
+
+          ENDIF ! From IF ( use_top_fluxes )  THEN
 
           IF ( .NOT. diss_production )  THEN
@@ -4029,7 +3941,6 @@
              DO  k = nzb+1, nzt
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g / &
-                              MERGE( vpt_reference, vpt(k,j,i),        &
-                                     use_single_reference_value ) )
+                tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                             &
+                              MERGE( vpt_reference, vpt(k,j,i), use_single_reference_value ) )
              ENDDO
 
@@ -4039,9 +3950,8 @@
              DO  k = nzb+1, nzt
                 flag = MERGE( 1.0_wp, 0.0_wp, BTEST(wall_flags_total_0(k,j,i),0) )
-                tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /   &
-                              MERGE( vpt_reference, vpt(k,j,i),          &
-                                     use_single_reference_value ) ) *    &
-                              diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) *    &
-                              c_3
+                tend(k,j,i) = tend(k,j,i) + flag * tmp_flux(k) * ( g /                             &
+                              MERGE( vpt_reference, vpt(k,j,i),                                    &
+                                     use_single_reference_value ) ) *                              &
+                              diss(k,j,i)/( e(k,j,i) + 1.0E-20_wp ) * c_3
              ENDDO
 
@@ -4055,36 +3965,42 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Diffusion and dissipation terms for the TKE.
 !> Vector-optimized version
-!> @todo Try to avoid the usage of the 3d-array 'diss' where possible (case les
-!>       and rans_tke_l if not wang_kernel, use_sgs_for_particles, or
-!>       collision_turbulence).
-!------------------------------------------------------------------------------!
+!> @todo Try to avoid the usage of the 3d-array 'diss' where possible (case les and rans_tke_l if
+!> not wang_kernel, use_sgs_for_particles, or collision_turbulence).
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE diffusion_e( var, var_reference )
 
-    USE arrays_3d,                                                             &
-        ONLY:  dd2zu, ddzu, ddzw, drho_air, rho_air_zw
-
-    USE control_parameters,                                                    &
-        ONLY:  atmos_ocean_sign, use_single_reference_value
-
-    USE grid_variables,                                                        &
-        ONLY:  ddx2, ddy2
-
-    USE bulk_cloud_model_mod,                                                  &
+    USE arrays_3d,                                                                                 &
+        ONLY:  dd2zu,                                                                              &
+               ddzu,                                                                               &
+               ddzw,                                                                               &
+               drho_air,                                                                           &
+               rho_air_zw
+
+    USE control_parameters,                                                                        &
+        ONLY:  atmos_ocean_sign,                                                                   &
+               use_single_reference_value
+
+    USE grid_variables,                                                                            &
+        ONLY:  ddx2,                                                                               &
+               ddy2
+
+    USE bulk_cloud_model_mod,                                                                      &
         ONLY:  collision_turbulence
 
-    USE particle_attributes,                                                   &
-        ONLY:  use_sgs_for_particles, wang_kernel
+    USE particle_attributes,                                                                       &
+        ONLY:  use_sgs_for_particles,                                                              &
+               wang_kernel
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i              !< running index x direction
-    INTEGER(iwp) ::  j              !< running index y direction
-    INTEGER(iwp) ::  k              !< running index z direction
-    INTEGER(iwp) ::  m              !< running index surface elements
+    INTEGER(iwp) ::  i  !< running index x direction
+    INTEGER(iwp) ::  j  !< running index y direction
+    INTEGER(iwp) ::  k  !< running index z direction
+    INTEGER(iwp) ::  m  !< running index surface elements
 
     REAL(wp)     ::  duv2_dz2       !< squared vertical gradient of wind vector
@@ -4112,11 +4028,11 @@
 
                 dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
-                IF ( dvar_dz > 0.0_wp ) THEN
+                IF ( dvar_dz > 0.0_wp )  THEN
                    IF ( use_single_reference_value )  THEN
-                     ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )         &
-                                 / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
+                     ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) ) /                           &
+                                            SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
                    ELSE
-                     ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )         &
-                                 / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
+                     ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) ) /                           &
+                                            SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
                    ENDIF
                 ELSE
@@ -4127,6 +4043,7 @@
 
 !
-!--          ATTENTION: Don't merge the following loop with the previous one, because this would prohibit proper vectorization by
-!--          the Intel18 compiler. This behaviour might change for future compiler versions.
+!--          ATTENTION: Don't merge the following loop with the previous one, because this would
+!--          prohibit proper vectorization by the Intel18 compiler. This behaviour might change for
+!--          future compiler versions.
              !$ACC LOOP PRIVATE(k)
              !DIR$ IVDEP
@@ -4135,6 +4052,6 @@
                 ml = MIN( delta(k,j,i), ml_stratification(k) )
 
-                diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )           &
-                              * e(k,j,i) * SQRT( e(k,j,i) ) / ml                             &
+                diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) ) * e(k,j,i)                 &
+                              * SQRT( e(k,j,i) ) / ml                                              &
                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
@@ -4155,17 +4072,16 @@
              DO  k = nzb+1, nzt
                 dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
-                IF ( dvar_dz > 0.0_wp ) THEN
-!
-!--                The mixing length is calculated as 1/l = 1/(kappa*z) + 1/Lb, where Lb is
-!--                the stratification term. 1E-5 is added as l is zero at the beginning of
-!--                the simulation.
+                IF ( dvar_dz > 0.0_wp )  THEN
+!
+!--                The mixing length is calculated as 1/l = 1/(kappa*z) + 1/Lb, where Lb is the
+!--                stratification term. 1E-5 is added as l is zero at the beginning of the simulation.
                    IF ( use_single_reference_value )  THEN
-                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) ) &
+                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                            &
                                              / SQRT( g / var_reference * dvar_dz ) + 1E-5_wp
                    ELSE
-                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) ) &
+                      ml_stratification(k) = 0.76_wp * SQRT( e(k,j,i) )                            &
                                              / SQRT( g / var(k,j,i) * dvar_dz ) + 1E-5_wp
                    ENDIF
-                   ml_stratification(k) = 1.0_wp / ( 1.0_wp / ( kappa * distance_to_wall(k,j,i) ) &
+                   ml_stratification(k) = 1.0_wp / ( 1.0_wp / ( kappa * distance_to_wall(k,j,i) )  &
                                                    + 1.0_wp / ml_stratification(k) )
                 ELSE
@@ -4176,6 +4092,7 @@
 
 !
-!--          ATTENTION: Don't merge the following loop with the previous one, because this would prohibit proper vectorization by
-!--          the Intel18 compiler. This behaviour might change for future compiler versions.
+!--          ATTENTION: Don't merge the following loop with the previous one, because this would
+!--          prohibit proper vectorization by the Intel18 compiler. This behaviour might change for
+!--          future compiler versions.
              !$ACC LOOP PRIVATE(k)
              !DIR$ IVDEP
@@ -4183,6 +4100,6 @@
 
                 ml          = ml_stratification(k)
-                diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )                      &
-                              * e(k,j,i) * SQRT( e(k,j,i) ) / ml                             &
+                diss(k,j,i) = ( 0.19_wp + 0.74_wp * ml / delta(k,j,i) )                            &
+                              * e(k,j,i) * SQRT( e(k,j,i) ) / ml                                   &
                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
@@ -4208,7 +4125,6 @@
                    dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
 
-                   duv2_dz2 =   ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2  &
-                              + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2  &
-                              + 1E-30_wp
+                   duv2_dz2 = ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2                        &
+                            + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2 + 1E-30_wp
 
                    rif(k) = MIN( MAX( g / var_reference * dvar_dz / duv2_dz2, -5.0_wp ),  1.0_wp )
@@ -4216,6 +4132,7 @@
              ELSE
 !
-!--             ATTENTION: Don't merge the following loops with the previous one, because this would prohibit proper vectorization
-!--             by the Intel18 compiler. This behaviour might change for future compiler versions.
+!--             ATTENTION: Don't merge the following loops with the previous one, because this would
+!--             prohibit proper vectorization by the Intel18 compiler. This behaviour might change
+!--             for future compiler versions.
                 !$ACC LOOP PRIVATE(k)
                 DO  k = nzb+1, nzt
@@ -4223,7 +4140,6 @@
                    dvar_dz = atmos_ocean_sign * ( var(k+1,j,i) - var(k-1,j,i) ) * dd2zu(k)
 
-                   duv2_dz2 =   ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2  &
-                              + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2  &
-                              + 1E-30_wp
+                   duv2_dz2 = ( ( u(k+1,j,i) - u(k-1,j,i) ) * dd2zu(k) )**2                        &
+                            + ( ( v(k+1,j,i) - v(k-1,j,i) ) * dd2zu(k) )**2 + 1E-30_wp
 
                    rif(k) = MIN( MAX( g / var(k,j,i) * dvar_dz / duv2_dz2, -5.0_wp ),  1.0_wp )
@@ -4245,6 +4161,6 @@
              DO  k = nzb+1, nzt
 
-                diss(k,j,i) = c_0**3 * e(k,j,i) * SQRT( e(k,j,i) )                         &
-                            / MIN( ml_stratification(k), delta(k,j,i) )                    &
+                diss(k,j,i) = c_0**3 * e(k,j,i) * SQRT( e(k,j,i) )                                 &
+                            / MIN( ml_stratification(k), delta(k,j,i) )                            &
                             * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
@@ -4254,6 +4170,5 @@
        ENDDO
 
-!-- Note, in case of rans_tke_e, the dissipation is already calculated
-!-- in prognostic_equations
+!-- Note, in case of rans_tke_e, the dissipation is already calculated in prognostic_equations
     ENDIF
 
@@ -4265,22 +4180,17 @@
           DO  k = nzb+1, nzt
 
-             tend(k,j,i) = tend(k,j,i) + (                                            &
-                                           (                                          &
-                       ( km(k,j,i)+km(k,j,i+1) ) * ( e(k,j,i+1)-e(k,j,i) )            &
-                     - ( km(k,j,i)+km(k,j,i-1) ) * ( e(k,j,i)-e(k,j,i-1) )            &
-                                           ) * ddx2                                   &
-                                         + (                                          &
-                       ( km(k,j,i)+km(k,j+1,i) ) * ( e(k,j+1,i)-e(k,j,i) )            &
-                     - ( km(k,j,i)+km(k,j-1,i) ) * ( e(k,j,i)-e(k,j-1,i) )            &
-                                           ) * ddy2                                   &
-                                         + (                                          &
-            ( km(k,j,i)+km(k+1,j,i) ) * ( e(k+1,j,i)-e(k,j,i) ) * ddzu(k+1)           &
-                                                          * rho_air_zw(k)             &
-          - ( km(k,j,i)+km(k-1,j,i) ) * ( e(k,j,i)-e(k-1,j,i) ) * ddzu(k)             &
-                                                          * rho_air_zw(k-1)           &
-                                           ) * ddzw(k) * drho_air(k)                  &
-                                         ) * dsig_e                                   &
-                                           * MERGE( 1.0_wp, 0.0_wp,                   &
-                                             BTEST( wall_flags_total_0(k,j,i), 0 ) )  &
+             tend(k,j,i) = tend(k,j,i) + ( ( ( km(k,j,i)+km(k,j,i+1) ) * ( e(k,j,i+1)-e(k,j,i) )   &
+                                           - ( km(k,j,i)+km(k,j,i-1) ) * ( e(k,j,i)-e(k,j,i-1) )   &
+                                           ) * ddx2                                                &
+                                         + ( ( km(k,j,i)+km(k,j+1,i) ) * ( e(k,j+1,i)-e(k,j,i) )   &
+                                           - ( km(k,j,i)+km(k,j-1,i) ) * ( e(k,j,i)-e(k,j-1,i) )   &
+                                           ) * ddy2                                                &
+                                         + ( ( km(k,j,i)+km(k+1,j,i) ) * ( e(k+1,j,i)-e(k,j,i) )   &
+                                               * ddzu(k+1) * rho_air_zw(k)                         &
+                                         - ( km(k,j,i)+km(k-1,j,i) ) * ( e(k,j,i)-e(k-1,j,i) )     &
+                                             * ddzu(k) * rho_air_zw(k-1)                           &
+                                           ) * ddzw(k) * drho_air(k)                               &
+                                         ) * dsig_e * MERGE( 1.0_wp, 0.0_wp,                       &
+                                                      BTEST( wall_flags_total_0(k,j,i), 0 ) )      &
                           - diss(k,j,i)
 
@@ -4291,8 +4201,8 @@
 !
 !-- Neumann boundary condition for dissipation diss(nzb,:,:) = diss(nzb+1,:,:).
-!-- Note, bc cannot be set in tcm_boundary conditions as the dissipation
-!-- in LES mode is only a diagnostic quantity.
-    IF ( .NOT. rans_tke_e .AND. ( use_sgs_for_particles  .OR.                  &
-         wang_kernel  .OR.  collision_turbulence  ) )  THEN
+!-- Note, bc cannot be set in tcm_boundary conditions as the dissipation in LES mode is only a
+!-- diagnostic quantity.
+    IF ( .NOT. rans_tke_e  .AND.                                                                   &
+         ( use_sgs_for_particles  .OR.  wang_kernel  .OR.  collision_turbulence  ) )  THEN
 !
 !--    Upward facing surfaces
